--- cmake/FindRuby.cmake.orig	2023-01-21 17:57:16.000000000 -0800
+++ cmake/FindRuby.cmake	2023-01-21 19:29:52.000000000 -0800
@@ -33,13 +33,9 @@
 
 find_package(PkgConfig)
 if(PKG_CONFIG_FOUND)
-  if(${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
-    # set specific search path for macOS
-    set(ENV{PKG_CONFIG_PATH} "$ENV{PKG_CONFIG_PATH}:/usr/local/opt/ruby/lib/pkgconfig")
-  endif()
   pkg_search_module(RUBY ruby-3.2 ruby-3.1 ruby-3.0 ruby-2.7 ruby-2.6 ruby-2.5 ruby-2.4 ruby-2.3 ruby-2.2 ruby-2.1 ruby-2.0 ruby-1.9 ruby)
   if(RUBY_FOUND AND ${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
-    # FIXME: weird hack: hardcoding the Ruby lib location on macOS
-    set(RUBY_LDFLAGS "${RUBY_LDFLAGS} -L/usr/local/opt/ruby/lib")
+    # remove "-arch;xxx;" on macOS
+    STRING(REGEX REPLACE "-arch;(arm64|i386|ppc|ppc64|x86_64);" "" RUBY_LDFLAGS "${RUBY_LDFLAGS}")
   endif()
 endif()
